Subject: Re: [PATCH 2/2] pack-objects: be incredibly anal about stdio semantics

From: Jason Riedy <[email-masked]>
Date: Sun, 02 Apr 2006 15:12:54 -0700

And Linus Torvalds writes:
 - 
 - I don't have any really strong opinions on it. I think that any libc that 
 - needs the "ferror()" test + EINTR loopback is totally broken. I would 
 - happily say that people should just not use a development platform that is 
 - that horrible.

If you consider stdio to be a low-level wrapper over syscalls
that only adds buffering and simple parsing, then passing EINTR
back to the application is a sensible choice.  I wouldn't be
too surprised if L4, VxWorks, etc. do something similar.

 - So I _think_ we're safe with just the "sigaction()" diff.  Neither of the 
 - patches _should_ make any difference at all on a sane platform. 

Anyone with an older HP/UX care to try these patches?  HP/UX 
may not be sane, but I think it may lack SA_RESTART.  I don't 
know if stdio calls need restarted, though.

Jason